#
# spec file for package lxqt-runner
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxqt-runner
Version:        0.12.0
Release:        lp150.1.7
Summary:        LXQt application launcher
License:        LGPL-2.1+
Group:          System/GUI/LXQt
Url:            http://www.lxqt.org
Source:         https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  gcc-c++
BuildRequires:  lxqt-build-tools-devel
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  pkgconfig(muparser)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Xdg)
BuildRequires:  pkgconfig(libmenu-cache)
BuildRequires:  pkgconfig(lxqt) >= %{version}
BuildRequires:  pkgconfig(lxqt-globalkeys) >= %{version}
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tool to launch programs quickly, by typing their names

%prep
%setup -q

%build
%cmake -DPULL_TRANSLATIONS=No
make %{?_smp_mflags}

%install
%cmake_install
install -Dm 0644 man/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE
%{_bindir}/lxqt-runner
%{_mandir}/man?/%{name}.?%{ext_man}
%{_sysconfdir}/xdg/autostart/lxqt-runner.desktop

%changelog
* Mon Oct 23 2017 mvetter@suse.com
- Update to 0.12.0:
  * Set patch version
  * Don't export github templates
  * Update CMakeLists.txt
  * Fixed typo in Lithuanian
  * Drops Qt5Core_VERSION_STRING
  * set Qt::AA_UseHighDpiPixmaps to true
  * Fix pedantic warning
  * ui: Add option to show particular count of items
  * runner: Make usage of history configurable
  * commanditemmodel: Remove unused methods
  * Added QCommandLineParser and basic cli interface to lxqt-runner
  * Added LXQT_RUNNER_PATCH_VERSION
  * Fixes a FTBFS in superbuild mode
  * Added merged autostart to CMakeLists.txt
  * Updated *_da.desktop files and removed *_da_DK.desktop files
  * Update desktop entries and Replace fr_FR by fr
  * Update Greek translation (el) Remove country variant from language code
  * CMake: Adds Runtime and Devel install COMPONENTs
  * Coding style changes
  * Updates the build system to use the Targets infrastructure
  * Drops hardcoded /etc/xdg paths
  * Updated german translation, replaced Qt4 by Qt in all xsession/translations
  * Updates translations infrastructure
  * Update the required minimum cmake version
  * remove dead template lines switch OnlyShowIn from Razor -> LXQt stringchanges LxQt -> LXQt
  * Support lxqt-session and add necessary xdg autostart desktop entry files.
  * Bump year
* Fri Feb 24 2017 sfalken@opensuse.org
- Update to 0.11.1:
  * MathItem: Honor system locale (#52)
  * Use the new MenuCache configuration CMake module
  * Fixes FTBFS when libmenu-cache was installed to non-standard location
  * Remove cpack (#49)
  * - Fix endif placement when test for MATH library.
* Sat Sep 24 2016 mvetter@suse.com
- Update to 0.11.0:
  * Add README.md
  * Math: Enhance evaluation logic
  * Math: Use libmuparser for math evaluation
  * runner: Follow virtual desktop switching
  * Properly hide the runner when it loses focus
  * runner: Sort history items by relevance
  * build: Use external translations (#41)
  * ts-files removal (#40)
  * Use QString() instead of ""
  * Fix layout and focus to get history items right
  * Bump year
  * main: Add activation by running second instance
  * Italian translation update
  * dialog: Default icons
  * dialog: Fill background
  * upd: lxqt-runner_hu.ts
  * Update lxqt-runner_it.ts
- Add keyring
- Remove Qt5Script in favour of libmuparser as BuildRequire
* Fri Nov  6 2015 mvetter@suse.com
- Upstream release 0.10.0
* Fri Feb 20 2015 sfalken@opensuse.org
- Changed %%build and %%install to use cmake macros
* Mon Feb  9 2015 sfalken@opensuse.org
- New upstream version 0.9.0
- Added -lang subpackage
* Mon Jan 26 2015 sfalken@opensuse.org
- Added conditionals to enable Fedora builds
* Tue Nov 11 2014 andrea@opensuse.org
- Fixed license tag
* Sat Oct 25 2014 andrea@opensuse.org
- new upstream version 0.8.0
* Wed May 14 2014 andrea@opensuse.org
- spec file cleanup for factory
* Tue May 13 2014 sfalken@opensuse.org
- Specfile Cleanup
* Mon May 12 2014 sfalken@opensuse.org
- removed fedora specfile, split into subproject
  Del: lxqt-runner-Fedora_20.spec
* Sat May 10 2014 sfalken@opensuse.org
- Ran spec-cleaner on openSUSE specfile
* Sat May 10 2014 sfalken@opensuse.org
- Added specfile for Fedora_20
  Add:  lxqt-runner-Fedora_20.spec
* Fri May  9 2014 sfalken@opensuse.org
- Added tarball for new stable release
  Add:  lxqt-runner-0.7.0.tar.xz
  Del:  _service
* Thu Apr  3 2014 sfalken@opensuse.org
- Intial Source Upload
  Add: _service
  Add: lxqt-runner.spec
  Add: lxqt-runner.changes
